﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectWarmlyShip
{
    internal class EntityWarmlyShip
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; private set; }
        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }
        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия труб
        /// </summary>
        public bool ShipPipes { get; private set; }
        /// <summary>
        /// Признак (опция) наличия дополнительного топлива
        /// </summary>
        public bool ShipFuel { get; private set; }
        /// <summary>
        /// Шаг перемещения теплохода
        /// </summary>
        public double Step => (double)Speed * 100 / Weight;
        /// <summary>
        /// Инициализация полей объекта-класса теплохода
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес </param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="ShipPipes">Признак наличия труб</param>
        /// <param name="ShipFuel">Признак наличия топлива</param>
        public void Init(int speed, double weight, Color bodyColor, Color
        additionalColor, bool shipPipes, bool shipFuel)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            ShipPipes = shipPipes;
            ShipFuel = shipFuel;
        }
    }
}
